Bug 104588 - Import opening of CSV file crashing application
Summary: Import opening of CSV file crashing application
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.1.6.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: CSV-Import
  Show dependency treegraph
 
Reported: 2016-12-11 19:54 UTC by Jonathan Camilleri
Modified: 2017-07-27 12:03 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
CSV file (1.04 MB, application/x-rar)
2016-12-11 19:56 UTC, Jonathan Camilleri
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Camilleri 2016-12-11 19:54:08 UTC
Description:
I downloaded a CSV file yet I am unable to open it using LibreOffice Calc.
This might be because of its size.
I downloaded it from http://checklist.cites.org/#/en.

Steps to Reproduce:
1. Download file
2. Open CSV file using Libre Office Calc
3. Work with it

Actual Results:  
The application crashes.
I use Windows Server 2007 SP2.

Expected Results:
The file ought to read, this is an integral part of legal requirements, in the Republic of Malta.

See article at https://www.internationalanimalrescue.org/news/list-issued-malta-dangerous-animals-which-cannot-be-bred-sold-or-kept-malta.

See http://www.timesofmalta.com/articles/view/20150419/local/malta-is-not-the-place-to-keep-dangerous-animals.564492

See http://www.justiceservices.gov.mt/LOM.aspx?pageid=27&mode=chrono&p=14&lawid=8891 as a portal for laws.

See https://agriculturecms.gov.mt/en/vprd/Documents/Application%20for%20Existing%20Animals_v4.pdf.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 6.0; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/49.0.2623.112 Safari/537.36
Comment 1 Jonathan Camilleri 2016-12-11 19:56:00 UTC
Created attachment 129505 [details]
CSV file

You need WinRAR to open download from http://www.rarlabs.com/.
Comment 2 V Stuart Foote 2016-12-11 23:18:10 UTC
Thanks for taking the time to file an issue.  But this works correctly for me on Windows 10 Pro 64-bit en-US with 5.2.4.1 build. I have no issues on import of CSV into Calc using the text import dialog.

However, this CSV data uses "" bracket around internal CSV lists. Meaning you have to specify the "Quoted field as text".

Do you have better results if on filter import of the CSV into Calc module you correctly configre the Text import dialog?

1. use the Seperated by radio button.
2. use the "Comma" checkbox.
3. in Other Options -> "Quoted field as text"

If so, please close RESOLVED NOTABUG

Also, as this is a rather large table, you might be better served if you import into a set of SQL tables in Base--depending on your needs.
Comment 3 QA Administrators 2017-06-28 12:37:22 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2017-07-27 12:03:12 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-20170727